# Figli Drupal 8 Starterkit Profile


## install

### install drupal with composer
```
cd public_html
composer create-project drupal/drupal .
```

### clone this profile into profiles folder
```
cd profiles
git clone -o figli https://figureslibres.io/gogs/bachir/d8-starterkit-profile.git
```

### include the profile's composer file to the main drupal's composer file
```
"merge-plugin": {
    "include": [
        "core/composer.json"
    ],
    "recurse": true,
    "replace": false,
    "merge-extra": false
}
```
become
```
"merge-plugin": {
    "include": [
        "core/composer.json",
        "profiles/d8-starterkit-profile/composer.json"
    ],
    "recurse": true,
    "replace": false,
    "merge-extra": false
}
```

### install dependencies with composer
```
cd ../
composer update
```

### run drupal install as usual
by accessing your site and choosing the figli_starter_kit profile 
